Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 2 12 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 19

Tema: Configurar ATi

  1. #1
    Fecha de Ingreso
    05-agosto-2004
    Ubicación
    Alacant
    Mensajes
    1.455
    Post Thanks / Like
    Poder de Credibilidad
    17

    Configurar ATi

    Bueno, he seguido los pasos que me ha comentado FOX en otro post, es decir, me he bajado el driver, lo he instalado y he ido a la carpeta siguiente para compilar el módulo, pero me sale el siguiente error:

    linux:/lib/modules/fglrx/build_mod # sh make.sh
    ATI module generator V 2.0
    ==========================
    initializing...
    Error:
    XFree86 drm includes at /lib/modules/2.6.5-7.104-default/build/include/../drivers/char/drm do not fit this driver.
    This driver is designed to only work with X4.1.0 or higher.
    You can match this by getting Linux kernel 2.4.8 or higher.
    linux:/lib/modules/fglrx/build_mod #


    ¿Alguien lo entiende?
    Software is like sex: it's better when it's free.

    SomGNU | Desarmats

  2. #2
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Pues te dice que el driver funciona cn versiones de las X iguales o superiores a 4.1.0, y que puedes consegur eso usando la versión del kernel 2.4.8 o superior ... qué versiones tienes??
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  3. #3
    Fox Invitado
    Buenasssss sa peña, pues mdk tio, eso me esta pasando a mi ahora jajaajja, ahora que esto tiene kernel nuevo pues me dice eso tambien, el kernel que tengo es el mismo que el tuyo chuzo :P

  4. #4
    Fox Invitado
    Aki esta la guia para instalarlo, aun estoy en ello, porque me manda a esta web para que copia el comando de la segunda caja, pero no se que copiar exactamente de la segunda caja :S

  5. #5
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Cita Iniciado por Fox
    me manda a esta web para que copia el comando de la segunda caja, pero no se que copiar exactamente de la segunda caja :S
    Pues sería simplemente lo que es el comando imagino ...

    cat fglrx-3.2.8-fix-amd-adv-spec.patch

    El resto que sale ya debe ser la salida del comando en sí

    Aparte de la versión del kernel comprueba también la versión de las X que tienes, y que tengáis instalados también los paquetes de desarollo y librerías, puede que el error se deba a que falte alguna cabecera . Yo por ejemplo tengo estas versiones:

    XFree86-libs-4.3.99.902-43.1
    XFree86-devel-4.3.99.902-40
    XFree86-4.3.99.902-43.28

    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  6. #6
    Fecha de Ingreso
    05-agosto-2004
    Ubicación
    Alacant
    Mensajes
    1.455
    Post Thanks / Like
    Poder de Credibilidad
    17
    Estoy actualizando XFree...

    Por otra parte, ese parche pone que es para kernels 2.6.7 o superiores y yo tengo el 2.6.5
    Software is like sex: it's better when it's free.

    SomGNU | Desarmats

  7. #7
    Fox Invitado
    Buenas, hago rpm -qa | grep XFree86 y me dice q no puede, que borre /tmp/X0-lock, lo borro, hago otra vez eso y se pone una pantalla blanca de lineas negras y la X del raton en medio y reinicie y ya va :S

    XFree86-fonts-scalable-4.3.99.902-40
    XFree86-4.3.99.902-43.28
    XFree86-Xvnc-4.3.99.902-43.28
    XFree86-fonts-75dpi-4.3.99.902-40
    XFree86-Mesa-4.3.99.902-40
    XFree86-server-4.3.99.902-43.28
    XFree86-server-glx-4.3.99.902-40
    XFree86-libs-4.3.99.902-40
    XFree86-devel-4.3.99.902-40

    ahi tienes mis paketes.

    Bueno, ahi pone que haga patch -p1 <nombre del parche

    el parche ese se crea, lo creo, hago eso perfecto y sigue saliendo el mismo error :P. sigo mirando

  8. #8
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Cita Iniciado por Fox
    Buenas, hago rpm -qa | grep XFree86 y me dice q no puede, que borre /tmp/X0-lock, lo borro, hago otra vez eso y se pone una pantalla blanca de lineas negras y la X del raton en medio y reinicie y ya va :S
    Cuando te pone eso significa que está usando por algún otro lado la base de datos de los paquetes, por lo que está bloqueada para su uso (salvo que se haya quedado bloqueado por algún error) ... el borrar el fichero no suele ser una buena opción
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  9. #9
    Fox Invitado
    sobre la grafica, he leido que en kernels 2.6.x no vale los drivers actuales, pero a mi en la 2.6.4 me ha rulado de vicio :S

  10. #10
    Fecha de Ingreso
    05-agosto-2004
    Ubicación
    Alacant
    Mensajes
    1.455
    Post Thanks / Like
    Poder de Credibilidad
    17
    Yo en Mandrake, con el kernel 2.6.3 también tenía configurada correctamente la gráfica... Es una de las razones de que usara mandrake y no suse. Lo que pasa es que yo no suelo jugar mucho, así que tampoco me importa que no funcione. Pero me gusta tener todo configurado correctamente.

    Para mandrake seguí una guía que luego yo mismo "maticé" y la puse en la web, los pasos eran un poco distintos, aunque también eran para otra versión de los drivers:

    http://usuarios.lycos.es/rincondelin...showpage&pid=1
    Software is like sex: it's better when it's free.

    SomGNU | Desarmats

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •